/*
 * Intel ACPI Component Architecture
 * AML/ASL+ Disassembler version 20180427 (64-bit version)(RM)
 * Copyright (c) 2000 - 2018 Intel Corporation
 * 
 * Disassembling to non-symbolic legacy ASL operators
 *
 * Disassembly of SSDT-6.aml, Sat Mar 28 10:41:23 2020
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x00001127 (4391)
 *     Revision         0x02
 *     Checksum         0x6B
 *     OEM ID           "hack"
 *     OEM Table ID     "_HACK"
 *     OEM Revision     0x00000000 (0)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20180427 (538444839)
 */
DefinitionBlock ("", "SSDT", 2, "hack", "_HACK", 0x00000000)
{
    /*
     * External declarations were imported from
     * a reference file -- DSDT.aml
     */

    External (_SB_.PCI0, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.EH01, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.EH02, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.IGPU, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.LPCB, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.BAT1, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.BCNT, FieldUnitObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.CFMX, MutexObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.CTSL, PkgObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.ERBD, FieldUnitObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.FAMX, MutexObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.SMAD, FieldUnitObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.SMCM, FieldUnitObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.SMPR, FieldUnitObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC__.SMST, FieldUnitObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.PS2K, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.PEG0.PEGP._OFF, MethodObj)    // 0 Arguments (from opcode)
    External (BCNT, IntObj)    // Warning: Unknown object
    External (BFDT, FieldUnitObj)    // (from opcode)
    External (CAVR, FieldUnitObj)    // (from opcode)
    External (ERBD, IntObj)    // Warning: Unknown object
    External (P80H, FieldUnitObj)    // (from opcode)
    External (RMCF.BKLT, IntObj)    // (from opcode)
    External (RMCF.LMAX, IntObj)    // (from opcode)
    External (SFNO, FieldUnitObj)    // (from opcode)
    External (SMIC, FieldUnitObj)    // (from opcode)
    External (SMID, FieldUnitObj)    // (from opcode)
    External (SMST, IntObj)    // Warning: Unknown object
    External (STDT, FieldUnitObj)    // (from opcode)
    External (TPDF, FieldUnitObj)    // (from opcode)

    Method (XOSI, 1, NotSerialized)
    {
        Store (Package (0x07)
            {
                "Windows", 
                "Windows 2001", 
                "Windows 2001 SP2", 
                "Windows 2006", 
                "Windows 2006 SP1", 
                "Windows 2009", 
                "Windows 2012"
            }, Local0)
        Return (LNotEqual (Ones, Match (Local0, MEQ, Arg0, MTR, Zero, Zero)))
    }

    Device (UIAC)
    {
        Name (_HID, "UIA00000")  // _HID: Hardware ID
        Name (RMCF, Package (0x02)
        {
            "8086_8xxx", 
            Package (0x02)
            {
                "ports", 
                Package (0x10)
                {
                    "HS01", 
                    Package (0x04)
                    {
                        "UsbConnector", 
                        0x03, 
                        "port", 
                        Buffer (0x04)
                        {
                             0x01, 0x00, 0x00, 0x00                         
                        }
                    }, 

                    "HS02", 
                    Package (0x04)
                    {
                        "UsbConnector", 
                        0x03, 
                        "port", 
                        Buffer (0x04)
                        {
                             0x02, 0x00, 0x00, 0x00                         
                        }
                    }, 

                    "HS05", 
                    Package (0x04)
                    {
                        "UsbConnector", 
                        0xFF, 
                        "port", 
                        Buffer (0x04)
                        {
                             0x05, 0x00, 0x00, 0x00                         
                        }
                    }, 

                    "HS06", 
                    Package (0x04)
                    {
                        "UsbConnector", 
                        0xFF, 
                        "port", 
                        Buffer (0x04)
                        {
                             0x06, 0x00, 0x00, 0x00                         
                        }
                    }, 

                    "HS07", 
                    Package (0x04)
                    {
                        "UsbConnector", 
                        0xFF, 
                        "port", 
                        Buffer (0x04)
                        {
                             0x07, 0x00, 0x00, 0x00                         
                        }
                    }, 

                    "HS09", 
                    Package (0x04)
                    {
                        "UsbConnector", 
                        Zero, 
                        "port", 
                        Buffer (0x04)
                        {
                             0x09, 0x00, 0x00, 0x00                         
                        }
                    }, 

                    "SS01", 
                    Package (0x04)
                    {
                        "UsbConnector", 
                        0x03, 
                        "port", 
                        Buffer (0x04)
                        {
                             0x10, 0x00, 0x00, 0x00                         
                        }
                    }, 

                    "SS02", 
                    Package (0x04)
                    {
                        "UsbConnector", 
                        0x03, 
                        "port", 
                        Buffer (0x04)
                        {
                             0x11, 0x00, 0x00, 0x00                         
                        }
                    }
                }
            }
        })
    }

    Scope (_SB.PCI0)
    {
        Scope (EH01)
        {
            OperationRegion (PSTS, PCI_Config, 0x54, 0x02)
            Field (PSTS, WordAcc, NoLock, Preserve)
            {
                PSTE,   2
            }
        }

        Scope (EH02)
        {
            OperationRegion (PSTS, PCI_Config, 0x54, 0x02)
            Field (PSTS, WordAcc, NoLock, Preserve)
            {
                PSTE,   2
            }
        }

        Scope (LPCB)
        {
            OperationRegion (RMLP, PCI_Config, 0xF0, 0x04)
            Field (RMLP, DWordAcc, NoLock, Preserve)
            {
                RCB1,   32
            }

            OperationRegion (FDM1, SystemMemory, Add (And (RCB1, 0xFFFFFFFFFFFFC000), 0x3418), 0x04)
            Field (FDM1, DWordAcc, NoLock, Preserve)
            {
                    ,   13, 
                FDE2,   1, 
                    ,   1, 
                FDE1,   1
            }
        }

        Device (RMD1)
        {
            Name (_HID, "RMD10000")  // _HID: Hardware ID
            Method (_INI, 0, NotSerialized)  // _INI: Initialize
            {
                Store (0x03, ^^EH01.PSTE)
                Store (One, ^^LPCB.FDE1)
                Store (0x03, ^^EH02.PSTE)
                Store (One, ^^LPCB.FDE2)
            }
        }
    }

    Device (RMD2)
    {
        Name (_HID, "RMD20000")  // _HID: Hardware ID
        Method (_INI, 0, NotSerialized)  // _INI: Initialize
        {
            If (CondRefOf (\_SB.PCI0.PEG0.PEGP._OFF))
            {
                \_SB.PCI0.PEG0.PEGP._OFF ()
            }
        }
    }

    Scope (_SB.PCI0.IGPU)
    {
        OperationRegion (IGD5, PCI_Config, Zero, 0x14)
    }

    Device (_SB.PCI0.IGPU.PNLF)
    {
        Name (_ADR, Zero)  // _ADR: Address
        Name (_HID, EisaId ("APP0002"))  // _HID: Hardware ID
        Name (_CID, "backlight")  // _CID: Compatible ID
        Name (_UID, Zero)  // _UID: Unique ID
        Name (_STA, 0x0B)  // _STA: Status
        Name (RMCF, Package (0x02)
        {
            "PWMMax", 
            Zero
        })
        Field (^IGD5, AnyAcc, NoLock, Preserve)
        {
            Offset (0x02), 
            GDID,   16, 
            Offset (0x10), 
            BAR1,   32
        }

        OperationRegion (RMB1, SystemMemory, And (BAR1, 0xFFFFFFFFFFFFFFF0), 0x000E1184)
        Field (RMB1, AnyAcc, Lock, Preserve)
        {
            Offset (0x48250), 
            LEV2,   32, 
            LEVL,   32, 
            Offset (0x70040), 
            P0BL,   32, 
            Offset (0xC8250), 
            LEVW,   32, 
            LEVX,   32, 
            Offset (0xE1180), 
            PCHL,   32
        }

        Method (_INI, 0, NotSerialized)  // _INI: Initialize
        {
            If (CondRefOf (\RMCF.BKLT))
            {
                If (LNotEqual (One, \RMCF.BKLT))
                {
                    Return (Zero)
                }
            }

            Store (GDID, Local0)
            Store (Ones, Local2)
            If (CondRefOf (\RMCF.LMAX))
            {
                Store (\RMCF.LMAX, Local2)
            }

            If (LNotEqual (Ones, Match (Package (0x08)
                            {
                                0x0116, 
                                0x0126, 
                                0x0112, 
                                0x0122, 
                                0x0166, 
                                0x016A, 
                                0x42, 
                                0x46
                            }, MEQ, Local0, MTR, Zero, Zero)))
            {
                If (LEqual (Ones, Local2))
                {
                    Store (0x0710, Local2)
                }

                ShiftRight (LEVX, 0x10, Local1)
                If (LNot (Local1))
                {
                    Store (Local2, Local1)
                }

                If (LNotEqual (Local2, Local1))
                {
                    Divide (Multiply (LEVL, Local2), Local1, , Local0)
                    ShiftLeft (Local2, 0x10, Local3)
                    If (LGreater (Local2, Local1))
                    {
                        Store (Local3, LEVX)
                        Store (Local0, LEVL)
                    }
                    Else
                    {
                        Store (Local0, LEVL)
                        Store (Local3, LEVX)
                    }
                }
            }
            Else
            {
                If (LEqual (Ones, Local2))
                {
                    If (LNotEqual (Ones, Match (Package (0x16)
                                    {
                                        0x0D26, 
                                        0x0A26, 
                                        0x0D22, 
                                        0x0412, 
                                        0x0416, 
                                        0x0A16, 
                                        0x0A1E, 
                                        0x0A1E, 
                                        0x0A2E, 
                                        0x041E, 
                                        0x041A, 
                                        0x0BD1, 
                                        0x0BD2, 
                                        0x0BD3, 
                                        0x1606, 
                                        0x160E, 
                                        0x1616, 
                                        0x161E, 
                                        0x1626, 
                                        0x1622, 
                                        0x1612, 
                                        0x162B
                                    }, MEQ, Local0, MTR, Zero, Zero)))
                    {
                        Store (0x0AD9, Local2)
                    }
                    Else
                    {
                        Store (0x056C, Local2)
                    }
                }

                Store (0xC0000000, LEVW)
                ShiftRight (LEVX, 0x10, Local1)
                If (LNot (Local1))
                {
                    Store (Local2, Local1)
                }

                If (LNotEqual (Local2, Local1))
                {
                    Or (Divide (Multiply (And (LEVX, 0xFFFF), Local2), Local1, ), ShiftLeft (Local2, 0x10), Local0)
                    Store (Local0, LEVX)
                }
            }

            If (LEqual (Local2, 0x0710))
            {
                Store (0x0E, _UID)
            }
            ElseIf (LEqual (Local2, 0x0AD9))
            {
                Store (0x0F, _UID)
            }
            ElseIf (LEqual (Local2, 0x056C))
            {
                Store (0x10, _UID)
            }
            Else
            {
                Store (0x63, _UID)
            }
        }
    }

    Scope (_SB.PCI0)
    {
        Device (IMEI)
        {
            Name (_ADR, 0x00160000)  // _ADR: Address
        }

        Device (SBUS.BUS0)
        {
            Name (_CID, "smbus")  // _CID: Compatible ID
            Name (_ADR, Zero)  // _ADR: Address
            Device (DVL0)
            {
                Name (_ADR, 0x57)  // _ADR: Address
                Name (_CID, "diagsvault")  // _CID: Compatible ID
                Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
                {
                    If (LNot (Arg2))
                    {
                        Return (Buffer (One)
                        {
                             0x03                                           
                        })
                    }

                    Return (Package (0x02)
                    {
                        "address", 
                        0x57
                    })
                }
            }
        }
    }

    Scope (_SB.PCI0.LPCB.PS2K)
    {
        Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
        {
            If (LNot (Arg2))
            {
                Return (Buffer (One)
                {
                     0x03                                           
                })
            }

            Return (Package (0x04)
            {
                "RM,oem-id", 
                "LENOVO", 
                "RM,oem-table-id", 
                "Y50-RMCF"
            })
        }

        Name (RMCF, Package (0x0A)
        {
            "Controller", 
            Package (0x02)
            {
                "WakeDelay", 
                Zero
            }, 

            "Sentelic FSP", 
            Package (0x02)
            {
                "DisableDevice", 
                ">y"
            }, 

            "ALPS GlidePoint", 
            Package (0x02)
            {
                "DisableDevice", 
                ">y"
            }, 

            "Synaptics TouchPad", 
            Package (0x08)
            {
                "MultiFingerVerticalDivisor", 
                0x09, 
                "MultiFingerHorizontalDivisor", 
                0x09, 
                "MomentumScrollThreshY", 
                0x0C, 
                "DynamicEWMode", 
                ">y"
            }, 

            "Keyboard", 
            Package (0x0E)
            {
                "Breakless PS2", 
                Package (0x05)
                {
                    Package (0x00){}, 
                    "e06a", 
                    "e06b", 
                    "e06c", 
                    "e06d"
                }, 

                "MaximumMacroTime", 
                0x017D7840, 
                "Macro Inversion", 
                Package (0x09)
                {
                    Package (0x00){}, 
                    Buffer (0x0C)
                    {
                        /* 0000 */  0xFF, 0xFF, 0x02, 0x6A, 0x00, 0x00, 0x00, 0x00,
                        /* 0008 */  0x02, 0x5B, 0x01, 0x19                         
                    }, 

                    Buffer (0x0C)
                    {
                        /* 0000 */  0xFF, 0xFF, 0x02, 0xEA, 0x00, 0x00, 0x00, 0x00,
                        /* 0008 */  0x01, 0x99, 0x02, 0xDB                         
                    }, 

                    Buffer (0x0C)
                    {
                        /* 0000 */  0xFF, 0xFF, 0x02, 0x6B, 0x00, 0x00, 0x00, 0x00,
                        /* 0008 */  0x02, 0x5B, 0x01, 0x17                         
                    }, 

                    Buffer (0x0C)
                    {
                        /* 0000 */  0xFF, 0xFF, 0x02, 0xEB, 0x00, 0x00, 0x00, 0x00,
                        /* 0008 */  0x01, 0x97, 0x02, 0xDB                         
                    }, 

                    Buffer (0x0C)
                    {
                        /* 0000 */  0xFF, 0xFF, 0x02, 0x6C, 0x00, 0x00, 0x00, 0x00,
                        /* 0008 */  0x02, 0x5B, 0x01, 0x21                         
                    }, 

                    Buffer (0x0C)
                    {
                        /* 0000 */  0xFF, 0xFF, 0x02, 0xEC, 0x00, 0x00, 0x00, 0x00,
                        /* 0008 */  0x01, 0xA1, 0x02, 0xDB                         
                    }, 

                    Buffer (0x0E)
                    {
                        /* 0000 */  0xFF, 0xFF, 0x02, 0x6D, 0x00, 0x00, 0x00, 0x00,
                        /* 0008 */  0x01, 0x38, 0x01, 0x1D, 0x01, 0x0F             
                    }, 

                    Buffer (0x0E)
                    {
                        /* 0000 */  0xFF, 0xFF, 0x02, 0xED, 0x00, 0x00, 0x00, 0x00,
                        /* 0008 */  0x01, 0xB8, 0x01, 0x9D, 0x01, 0x8F             
                    }
                }, 

                "Custom ADB Map", 
                Package (0x05)
                {
                    Package (0x00){}, 
                    "e06a=6a", 
                    "e06b=40", 
                    "e06c=4f", 
                    "e06d=50"
                }, 

                "Custom PS2 Map", 
                Package (0x02)
                {
                    Package (0x00){}, 
                    "e037=64"
                }, 

                "Function Keys Special", 
                Package (0x13)
                {
                    Package (0x00){}, 
                    "e05f=e05f", 
                    "e06a=e06a", 
                    "e073=e037", 
                    "e06b=e06b", 
                    "e06c=e06c", 
                    "e06d=e06d", 
                    "3b=3b", 
                    "3c=3c", 
                    "3d=3d", 
                    "3e=3e", 
                    "3f=3f", 
                    "40=40", 
                    "41=41", 
                    "42=42", 
                    "43=43", 
                    "44=44", 
                    "57=57", 
                    "58=58"
                }, 

                "Function Keys Standard", 
                Package (0x0D)
                {
                    Package (0x00){}, 
                    "e05f=3b", 
                    "e06a=3d", 
                    "e073=40", 
                    "e06b=43", 
                    "e06c=44", 
                    "e06d=57", 
                    "3b=e05f", 
                    "3d=e06a", 
                    "40=e037", 
                    "43=e06b", 
                    "44=e06c", 
                    "57=e06d"
                }
            }
        })
    }

    Scope (_SB.PCI0.LPCB.EC)
    {
        Method (_Q11, 0, NotSerialized)  // _Qxx: EC Query
        {
            If (LNotEqual (TPDF, 0x08))
            {
                Notify (\_SB.PCI0.LPCB.PS2K, 0x0405)
            }
            Else
            {
                Notify (\_SB.PCI0.LPCB.PS2K, 0x20)
            }
        }

        Method (_Q12, 0, NotSerialized)  // _Qxx: EC Query
        {
            If (LNotEqual (TPDF, 0x08))
            {
                Notify (\_SB.PCI0.LPCB.PS2K, 0x0406)
            }
            Else
            {
                Notify (\_SB.PCI0.LPCB.PS2K, 0x10)
            }
        }
    }

    Name (_SB.PCI0.LPCB.BAT1.RMCF, Package (0x02)
    {
        "StartupDelay", 
        0x0A
    })
    Scope (_SB.PCI0.LPCB.EC)
    {
        OperationRegion (RMEC, EmbeddedControl, 0x5D, 0x02)
        Field (RMEC, ByteAcc, Lock, Preserve)
        {
            ERI0,   8, 
            ERI1,   8
        }

        Method (FANG, 1, NotSerialized)
        {
            Acquire (FAMX, 0xFFFF)
            Store (Arg0, ERI0)
            Store (ShiftRight (Arg0, 0x08), ERI1)
            Store (ERBD, Local0)
            Release (FAMX)
            Return (Local0)
        }

        Method (FANW, 2, NotSerialized)
        {
            Acquire (FAMX, 0xFFFF)
            Store (Arg0, ERI0)
            Store (ShiftRight (Arg0, 0x08), ERI1)
            Store (Arg1, ERBD)
            Release (FAMX)
            Return (Arg1)
        }

        Method (\B1B2, 2, NotSerialized)
        {
            Return (Or (Arg0, ShiftLeft (Arg1, 0x08)))
        }

        Method (WE1B, 2, Serialized)
        {
            OperationRegion (ERAM, EmbeddedControl, Arg0, One)
            Field (ERAM, ByteAcc, NoLock, Preserve)
            {
                BYTE,   8
            }

            Store (Arg1, BYTE)
        }

        Method (WECB, 3, Serialized)
        {
            ShiftRight (Arg1, 0x03, Arg1)
            Name (TEMP, Buffer (Arg1){})
            Store (Arg2, TEMP)
            Add (Arg0, Arg1, Arg1)
            Store (Zero, Local0)
            While (LLess (Arg0, Arg1))
            {
                WE1B (Arg0, DerefOf (Index (TEMP, Local0)))
                Increment (Arg0)
                Increment (Local0)
            }
        }

        Method (RE1B, 1, Serialized)
        {
            OperationRegion (ERAM, EmbeddedControl, Arg0, One)
            Field (ERAM, ByteAcc, NoLock, Preserve)
            {
                BYTE,   8
            }

            Return (BYTE)
        }

        Method (RECB, 2, Serialized)
        {
            ShiftRight (Arg1, 0x03, Arg1)
            Name (TEMP, Buffer (Arg1){})
            Add (Arg0, Arg1, Arg1)
            Store (Zero, Local0)
            While (LLess (Arg0, Arg1))
            {
                Store (RE1B (Arg0), Index (TEMP, Local0))
                Increment (Arg0)
                Increment (Local0)
            }

            Return (TEMP)
        }

        Method (CFUN, 4, Serialized)
        {
            Store (Arg3, Local0)
            Name (ESRC, 0x05)
            If (LNotEqual (Match (CTSL, MEQ, DerefOf (Index (Arg0, Zero)), MTR, Zero, Zero), Ones))
            {
                Acquire (CFMX, 0xFFFF)
                Store (Arg0, SMID)
                Store (Arg1, SFNO)
                Store (Arg2, BFDT)
                Store (0xCE, SMIC)
                Release (CFMX)
            }
            ElseIf (LEqual (DerefOf (Index (Arg0, Zero)), 0x10))
            {
                If (LEqual (DerefOf (Index (Arg1, Zero)), One))
                {
                    CreateByteField (Arg2, Zero, CAPV)
                    Store (CAPV, CAVR)
                    Store (One, STDT)
                }
                ElseIf (LEqual (DerefOf (Index (Arg1, Zero)), 0x02))
                {
                    Store (Buffer (0x80){}, Local0)
                    CreateByteField (Local0, Zero, BFD0)
                    Store (0x11, BFD0)
                    Store (One, STDT)
                    Store (Local0, BFDT)
                }
                Else
                {
                    Store (Zero, STDT)
                }
            }
            ElseIf (LEqual (DerefOf (Index (Arg0, Zero)), 0x18))
            {
                Acquire (CFMX, 0xFFFF)
                If (LEqual (DerefOf (Index (Arg1, Zero)), 0x02))
                {
                    WECB (0x64, 0x0100, Zero)
                    Store (DerefOf (Index (Arg2, One)), SMAD)
                    Store (DerefOf (Index (Arg2, 0x02)), SMCM)
                    Store (DerefOf (Index (Arg2, Zero)), SMPR)
                    While (LAnd (Not (LEqual (ESRC, Zero)), Not (LEqual (And (SMST, 0x80), 0x80))))
                    {
                        Sleep (0x14)
                        Subtract (ESRC, One, ESRC)
                    }

                    Store (SMST, Local2)
                    If (LEqual (And (Local2, 0x80), 0x80))
                    {
                        Store (Buffer (0x80){}, Local1)
                        Store (Local2, Index (Local1, Zero))
                        If (LEqual (Local2, 0x80))
                        {
                            Store (0xC4, P80H)
                            Store (BCNT, Index (Local1, One))
                            Store (RECB (0x64, 0x0100), Local3)
                            Store (DerefOf (Index (Local3, Zero)), Index (Local1, 0x02))
                            Store (DerefOf (Index (Local3, One)), Index (Local1, 0x03))
                            Store (DerefOf (Index (Local3, 0x02)), Index (Local1, 0x04))
                            Store (DerefOf (Index (Local3, 0x03)), Index (Local1, 0x05))
                            Store (DerefOf (Index (Local3, 0x04)), Index (Local1, 0x06))
                            Store (DerefOf (Index (Local3, 0x05)), Index (Local1, 0x07))
                            Store (DerefOf (Index (Local3, 0x06)), Index (Local1, 0x08))
                            Store (DerefOf (Index (Local3, 0x07)), Index (Local1, 0x09))
                            Store (DerefOf (Index (Local3, 0x08)), Index (Local1, 0x0A))
                            Store (DerefOf (Index (Local3, 0x09)), Index (Local1, 0x0B))
                            Store (DerefOf (Index (Local3, 0x0A)), Index (Local1, 0x0C))
                            Store (DerefOf (Index (Local3, 0x0B)), Index (Local1, 0x0D))
                            Store (DerefOf (Index (Local3, 0x0C)), Index (Local1, 0x0E))
                            Store (DerefOf (Index (Local3, 0x0D)), Index (Local1, 0x0F))
                            Store (DerefOf (Index (Local3, 0x0E)), Index (Local1, 0x10))
                            Store (DerefOf (Index (Local3, 0x0F)), Index (Local1, 0x11))
                            Store (DerefOf (Index (Local3, 0x10)), Index (Local1, 0x12))
                            Store (DerefOf (Index (Local3, 0x11)), Index (Local1, 0x13))
                            Store (DerefOf (Index (Local3, 0x12)), Index (Local1, 0x14))
                            Store (DerefOf (Index (Local3, 0x13)), Index (Local1, 0x15))
                            Store (DerefOf (Index (Local3, 0x14)), Index (Local1, 0x16))
                            Store (DerefOf (Index (Local3, 0x15)), Index (Local1, 0x17))
                            Store (DerefOf (Index (Local3, 0x16)), Index (Local1, 0x18))
                            Store (DerefOf (Index (Local3, 0x17)), Index (Local1, 0x19))
                            Store (DerefOf (Index (Local3, 0x18)), Index (Local1, 0x1A))
                            Store (DerefOf (Index (Local3, 0x19)), Index (Local1, 0x1B))
                            Store (DerefOf (Index (Local3, 0x1A)), Index (Local1, 0x1C))
                            Store (DerefOf (Index (Local3, 0x1B)), Index (Local1, 0x1D))
                            Store (DerefOf (Index (Local3, 0x1C)), Index (Local1, 0x1E))
                            Store (DerefOf (Index (Local3, 0x1D)), Index (Local1, 0x1F))
                            Store (DerefOf (Index (Local3, 0x1E)), Index (Local1, 0x20))
                            Store (DerefOf (Index (Local3, 0x1F)), Index (Local1, 0x21))
                        }

                        Store (Local1, BFDT)
                        Store (One, STDT)
                    }
                    Else
                    {
                        Store (0xC5, P80H)
                        Store (Zero, STDT)
                    }
                }
                Else
                {
                    Store (0xC6, P80H)
                    Store (Zero, STDT)
                }

                Release (CFMX)
            }
            Else
            {
                Store (Zero, STDT)
            }
        }
    }
}

